コンテンツにスキップ

Create notification channel

POST
/api/v1/notification-channels

Creates a new notification channel. Requires write scope.

For email channels, a verification email is sent automatically. The channel starts with verified: 0 and becomes verified: 1 after the user clicks the link.

Pro/Business plans are required for: line, webhook, pagerduty, datadog, github, grafana, jira.

object
type
required
string
Allowed values: email slack discord line webhook pagerduty datadog github grafana jira
name
required
string
>= 1 characters <= 100 characters
config
required

Type-specific configuration. See documentation for required fields per channel type.

object

Channel created

object
channel

Notification channel (config field excluded — contains secrets)

object
id

ULID

string
teamId
string
type
string
Allowed values: email slack discord line webhook pagerduty datadog github grafana jira
name
string
<= 100 characters
isActive
integer
Allowed values: 0 1
verified

Email channels start unverified (0) until the user clicks the verification link. All other types are always 1.

integer
Allowed values: 0 1
createdAt
string format: date-time
verificationSent

Whether a verification email was sent (email channels only)

boolean

Invalid config (INVALID_CONFIG)

Unauthorized

Plan limit reached or channel type unavailable on current plan

Write scope required